Bug 789059 - Review Request: jaaa - JACK and ALSA Audio Analyzer
Review Request: jaaa - JACK and ALSA Audio Analyzer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On: 788718
Blocks: FedoraAudio
  Show dependency treegraph
 
Reported: 2012-02-09 11:42 EST by Brendan Jones
Modified: 2012-05-27 21:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-27 21:27:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2012-02-09 11:42:59 EST
JAAA (JACK and ALSA Audio Analyzer), is an audio signal generator and
spectrum analyzer designed to make accurate measurements.

This is another package being ported from the Planet CCRMA repo to Fedora and depends on clalsadrv (bug 788718).

SRPM: http://bsjones.fedorapeople.org/jaaa-0.6.0-2.fc16.src.rpm
SPEC: http://bsjones.fedorapeople.org/jaaa.spec

IF you review this please consider reviewing JAPA - it mirrors this package in all but source name and description (bug 789055)
Comment 1 Peter Lemenkov 2012-05-16 07:36:23 EDT
I'll review it
Comment 2 Peter Lemenkov 2012-05-16 08:09:40 EDT
Koji scratchbuild for F-18:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4081069

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is NOT silent but all its messages may be safely ignored:


work ~/Desktop: rpmlint jaaa-*
jaaa.x86_64: E: incorrect-fsf-address /usr/share/doc/jaaa-0.6.0/COPYING
jaaa.x86_64: W: no-manual-page-for-binary jaaa
jaaa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/jaaa-0.6.0/spectwin.h
jaaa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/jaaa-0.6.0/jaaa.cc
jaaa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/jaaa-0.6.0/audio.cc
jaaa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/jaaa-0.6.0/rngen.cc
jaaa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/jaaa-0.6.0/audio.h
jaaa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/jaaa-0.6.0/spectwin.cc
jaaa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/jaaa-0.6.0/rngen.h
jaaa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/jaaa-0.6.0/styles.h
jaaa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/jaaa-0.6.0/styles.cc
jaaa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/jaaa-0.6.0/prbsgen.h
jaaa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/jaaa-0.6.0/messages.h
3 packages and 0 specfiles checked; 12 errors, 1 warnings.
work ~/Desktop: 

We really shouldn't touch legal information. However I advise you to inform upstream about that.

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (GPLv2 or later, as stated in the source-files).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

work ~/Desktop: sha256sum jaaa-0.6.0.tar.bz2*
2f04f403a60d202b1341a9e1aad895d4e1c2bede6b3ca1a5aee1b4f63e31661b  jaaa-0.6.0.tar.bz2
2f04f403a60d202b1341a9e1aad895d4e1c2bede6b3ca1a5aee1b4f63e31661b  jaaa-0.6.0.tar.bz2.1
work ~/Desktop:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
0 The package DOESN'T have a %clean section, so it won't build cleanly on systems with old rpm (EL-4 and EL-5, not sure about EL-6). Beware.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files without a suffix (e.g. libfoo.so).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
+ The package includes a %{name}.desktop file, and this file is properly installed with desktop-file-install in the %install section.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.

APPROVED.
Comment 3 Brendan Jones 2012-05-16 08:28:24 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: jaaa
Short Description: JACK and ALSA audio analyzer
Owners: bsjones
Branches: f16 f17
InitialCC:
Comment 4 Gwyn Ciesla 2012-05-16 08:52:29 EDT
Git done (by process-git-requests).

Peter, please take ownership of review BZs, thanks!
Comment 5 Fedora Update System 2012-05-16 09:38:28 EDT
jaaa-0.6.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jaaa-0.6.0-2.fc17
Comment 6 Fedora Update System 2012-05-16 09:38:39 EDT
jaaa-0.6.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/jaaa-0.6.0-2.fc16
Comment 7 Fedora Update System 2012-05-18 06:38:04 EDT
jaaa-0.6.0-2.fc16 has been pushed to the Fedora 16 testing repository.
Comment 8 Fedora Update System 2012-05-27 21:27:09 EDT
jaaa-0.6.0-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 9 Fedora Update System 2012-05-27 21:28:01 EDT
jaaa-0.6.0-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.